/**
 * This is a kingdee cosmic template project that is automatically generated by the Kingdee cosmic development assistant plugin. 
 * If there are any issues during the use process, you can provide feedback to the kingdee developer community website.
 * Website: https://developer.kingdee.com/developer?productLineId=29
 * Author: liebin.zheng
 * Generate Date: 2025-05-26 16:28:10
 */
rootProject.name = System.getProperty('artifactId')

include(
		':nckd-cosmic-debug',
		':nckd-jxccl-base-common',
		':nckd-jxccl-base-helper',
		
		':nckd-jxccl-hr',

		':nckd-jxccl-swc',

		':nckd-jxccl-rpt',

		':nckd-jxccl-opmc',

		':nckd-jxccl-hrmp',

        ':nckd-jxccl-wtc',
)

// -------------- 引入苍穹调试工程模块 --------------
project(':nckd-cosmic-debug').projectDir = new File('code/nckd-cosmic-debug')

// -------------- 引入公共基础模块 --------------
project(':nckd-jxccl-base-common').projectDir = new File('code/base/nckd-jxccl-base-common')
project(':nckd-jxccl-base-helper').projectDir = new File('code/base/nckd-jxccl-base-helper')

// -------------- 引入hr云模块 --------------
project(':nckd-jxccl-hr').projectDir = new File('code/hr/nckd-jxccl-hr')

// -------------- 引入swc云模块 --------------
project(':nckd-jxccl-swc').projectDir = new File('code/swc/nckd-jxccl-swc')

// -------------- 引入rpt云模块 --------------
project(':nckd-jxccl-rpt').projectDir = new File('code/rpt/nckd-jxccl-rpt')

// -------------- 引入opmc云模块 --------------
project(':nckd-jxccl-opmc').projectDir = new File('code/opmc/nckd-jxccl-opmc')

// -------------- 引入wtc云模块 --------------
project(':nckd-jxccl-wtc').projectDir = new File('code/wtc/nckd-jxccl-wtc')

// -------------- 引入hrmp云模块 --------------
project(':nckd-jxccl-hrmp').projectDir = new File('code/hrmp/nckd-jxccl-hrmp')
